# FileSelector

Extends

This is the interface to be used by all selectors.

author | Hans Lellelid, hans@xmpl.org (Phing)
author | Bruce Atherton, bruce@callenish.com (Ant)
package | phing.types.selectors

### Methods

## Method that each selector will implement to create their selection behaviour. If there is a problem with the setup of a selector, it can throw a BuildException to indicate the problem.

    isSelected(\PhingFile $basedir, string $filename, \PhingFile $file) : \whether

throws | if the selector was not configured correctly

### Arguments

#### $basedir

`\PhingFile`

A PhingFile object for the base directory

#### $filename

`string`

The name of the file to check

#### $file

`\PhingFile`

A PhingFile object for this filename

### Response

`\whether`

the file should be selected or not